Search Google Scholar
curl --request GET \
--url https://scrapebadger.com/v1/google/scholar/search \
--header 'x-api-key: <api-key>'import requests
url = "https://scrapebadger.com/v1/google/scholar/search"
headers = {"x-api-key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'x-api-key': '<api-key>'}};
fetch('https://scrapebadger.com/v1/google/scholar/search', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"query": "<string>",
"results": [
{
"title": "<string>",
"position": 123,
"link": "<string>",
"snippet": "<string>",
"authors": [
"<string>"
],
"publication_info": "<string>",
"cited_by_count": 123,
"cited_by_link": "<string>",
"related_link": "<string>",
"versions_count": 123,
"pdf_link": "<string>"
}
],
"language": "en",
"total_results": 123
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>",
"input": "<unknown>",
"ctx": {}
}
]
}Scholar
Search Google Scholar
Search Google Scholar for scholarly articles.
GET
/
v1
/
google
/
scholar
/
search
Search Google Scholar
Authorizations
Query Parameters
Search query for scholarly articles
Language code
Year from (e.g. 2020)
Year to (e.g. 2024)
Search type: 0=exclude patents, 7=include patents
Page number (0-based)
Required range:
x >= 0Results per page (max 20)
Required range:
1 <= x <= 20⌘I

